Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	The GNU Compact Disc Input and Control library
Name:		libcdio
Version:	0.80
Release:	1
Group:		System/Libraries
License:	GPL
URL:		http://www.gnu.org/software/libcdio/
Source0:	libcdio-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	libcddb-devel
BuildRequires:  glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  libstdc++-devel
BuildRequires:  vcdimager-devel

%description
The GNU Compact Disc Input and Control library encapsulates CD-ROM reading
and control for applications wishing to be oblivious to the OS- and 
device-dependent properties of a CD-ROM. It provides an API for access to
SCSI-MMC (multimedia commands) and support for CD image types like BIN/CUE,
cdrdao's TOC, and Nero's NRG, which gives applications using the library
the ability to read disc images as though they were CDs. ISO-9660 filesystem
support is included, as are utility programs for displaying CD and CD-ROM
drive information, reading the blocks of a CD, and extracting files from an
ISO-9660 filesytem image. cdparanoia is also included.

%package devel
Summary: 	libcdio development headers.
Group:     	System/Libraries
Requires: 	libcdio = %{version}-%{release}

%description devel
Header and include files for developing applications with libcdio.

%post
ldconfig
/sbin/install-info %{_infodir}/libcdio.info.gz %{_infodir}/dir


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/libcdio.info.gz %{_infodir}/dir
fi

%postun
ldconfig

%prep
%setup -n %{name}-%version

%build
./configure --prefix=%_prefix --mandir=%_mandir --infodir=%_infodir --disable-cddb
make 

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%_infodir/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so*
%_mandir
%_infodir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_pkgconfig

%changelog
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.80-1
- version update
* Sat Dec 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.79-1
- version update
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.78.2-2
- rebuilt against glibc 2.5 / gcc 4.1.1
- refined BuildRequires
- cleaned up %files list
* Thu Dec 21 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.78.2-1
- Version Update
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.74-2
- Recompilation against newest cddb
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.74-1
- Version update to 0.74
* Thu Nov 04 2004 Christian Wasem <wasem@ccux-linux.de> 0.70-1
- Initial Build
